## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname Mathics_Scanner

Name:           python-mathics-scanner
Version:        1.3.0
Release:        %autorelease
Summary:        Character Tables and Tokenizer for Mathics and the Wolfram Language

License:        GPL-3.0-only
URL:            https://mathics.org
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This package provides character tables and a tokenizer for Mathics and the
Wolfram Language.}

%description %_description

%package -n     python3-mathics-scanner
Summary:        %{summary}
Recommends:     python3dist(mathics_scanner[full]) = %{version}-%{release}

%description -n python3-mathics-scanner %_description

%pyproject_extras_subpkg -n python3-mathics-scanner full

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x full

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mathics_scanner

%check
%pytest

%files -n python3-mathics-scanner -f %{pyproject_files}
%license COPYING.txt
%doc README.rst CHANGES.rst AUTHORS.txt ChangeLog
%{_bindir}/mathics-generate-json-table

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 12 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.2.4-4
- Rebuilt for Python 3.12

* Sun Jan 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.2.4-3
- Add extras subpackage

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 09 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.2.4-1
- Initial import; Fixes: RHBZ#2158696
## END: Generated by rpmautospec
